PostgreSQL 8.4.7 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP DOMAIN

## Name

DROP DOMAIN -- remove a domain

## Synopsis

    DROP DOMAIN [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]

## Description

`DROP DOMAIN` removes a domain. Only the owner of a domain can remove it.

## Parameters

`IF EXISTS`

  Do not throw an error if the domain does not exist. A notice is issued in this case.

`name`

  The name (optionally schema-qualified) of an existing domain.

`CASCADE`

  Automatically drop objects that depend on the domain (such as table columns).

`RESTRICT`

  Refuse to drop the domain if any objects depend on it. This is the default.

## Examples

To remove the domain `box`:

    DROP DOMAIN box;

## Compatibility

This command conforms to the SQL standard, except for the `IF EXISTS` option, which is a PostgreSQL extension.

## See Also

CREATE DOMAIN, ALTER DOMAIN

Prev | Home | Next
DROP DATABASE | Up | DROP FOREIGN DATA WRAPPER